<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<link rel="icon" href="https://realm.io/img/favicon.ico" />
<link rel="apple-touch-icon-precomposed" sizes="57x57" href="https://realm.io/img/favicon-57x57.png" />
<link rel="apple-touch-icon-precomposed" sizes="114x114" href="https://realm.io/img/favicon-114x114.png" />
<link rel="apple-touch-icon-precomposed" sizes="72x72" href="https://realm.io/img/favicon-72x72.png" />
<link rel="apple-touch-icon-precomposed" sizes="144x144" href="https://realm.io/img/favicon-144x144.png" />
<link rel="apple-touch-icon-precomposed" sizes="120x120" href="https://realm.io/img/favicon-120x120.png" />
<link rel="apple-touch-icon-precomposed" sizes="152x152" href="https://realm.io/img/favicon-152x152.png" />
<link rel="icon" type="image/png" href="https://realm.io/img/favicon-32x32.png" sizes="32x32" />
<link rel="icon" type="image/png" href="https://realm.io/img/favicon-16x16.png" sizes="16x16" />
<title>Realm Xamarin: Transaction Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
  ga('create', 'UA-50247013-1', 'auto');
  ga('send', 'pageview');
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="realmcustomdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Realm Xamarin
   &#160;<span id="projectnumber">v0.74.1</span>
   </div>
   <div id="projectbrief">Realm for Xamarin</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_realms.html">Realms</a></li><li class="navelem"><a class="el" href="class_realms_1_1_transaction.html">Transaction</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_realms_1_1_transaction-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Transaction Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Provides a scope to safely read and write to a <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a>. Must use explicitly via <a class="el" href="class_realms_1_1_realm.html#ab80df0f96fea5684dcb720a5b9c640a9" title="Factory for a write Transaction. Essential object to create scope for updates. ">Realm.BeginWrite</a>.  
 <a href="class_realms_1_1_transaction.html#details">More...</a></p>

<p>Inherits IDisposable.</p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aca6f43ce4724910499fa7cadb5caa01f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_transaction.html#aca6f43ce4724910499fa7cadb5caa01f">Commit</a> ()</td></tr>
<tr class="memdesc:aca6f43ce4724910499fa7cadb5caa01f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use to save the changes to the realm. If transaction is declared in a <code>using</code> block, must be used before the end of that block.  <a href="#aca6f43ce4724910499fa7cadb5caa01f">More...</a><br /></td></tr>
<tr class="separator:aca6f43ce4724910499fa7cadb5caa01f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e2d745cdb7a7b983f861ed6a9a541a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_transaction.html#a6e2d745cdb7a7b983f861ed6a9a541a7">Dispose</a> ()</td></tr>
<tr class="memdesc:a6e2d745cdb7a7b983f861ed6a9a541a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Will automatically <code>Rollback</code> the transaction on existing scope, if not explicitly Committed.  <a href="#a6e2d745cdb7a7b983f861ed6a9a541a7">More...</a><br /></td></tr>
<tr class="separator:a6e2d745cdb7a7b983f861ed6a9a541a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d16f679aefca9eb4bed9a6bf62d0517"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_realms_1_1_transaction.html#a0d16f679aefca9eb4bed9a6bf62d0517">Rollback</a> ()</td></tr>
<tr class="memdesc:a0d16f679aefca9eb4bed9a6bf62d0517"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use explicitly to undo the changes in a transaction, otherwise it is automatically invoked by exiting the block.  <a href="#a0d16f679aefca9eb4bed9a6bf62d0517">More...</a><br /></td></tr>
<tr class="separator:a0d16f679aefca9eb4bed9a6bf62d0517"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Provides a scope to safely read and write to a <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a>. Must use explicitly via <a class="el" href="class_realms_1_1_realm.html#ab80df0f96fea5684dcb720a5b9c640a9" title="Factory for a write Transaction. Essential object to create scope for updates. ">Realm.BeginWrite</a>. </p>
<p>All access to a <a class="el" href="class_realms_1_1_realm.html" title="A Realm instance (also referred to as a realm) represents a Realm database. ">Realm</a> occurs within a <a class="el" href="class_realms_1_1_transaction.html" title="Provides a scope to safely read and write to a Realm. Must use explicitly via Realm.BeginWrite. ">Transaction</a>. Read transactions are created implicitly. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aca6f43ce4724910499fa7cadb5caa01f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Commit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use to save the changes to the realm. If transaction is declared in a <code>using</code> block, must be used before the end of that block. </p>

<p>Referenced by <a class="el" href="class_realms_1_1_transaction.html#a6e2d745cdb7a7b983f861ed6a9a541a7">Transaction.Dispose()</a>.</p>

</div>
</div>
<a class="anchor" id="a6e2d745cdb7a7b983f861ed6a9a541a7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Dispose </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Will automatically <code>Rollback</code> the transaction on existing scope, if not explicitly Committed. </p>

<p>References <a class="el" href="class_realms_1_1_transaction.html#aca6f43ce4724910499fa7cadb5caa01f">Transaction.Commit()</a>, and <a class="el" href="class_realms_1_1_transaction.html#a0d16f679aefca9eb4bed9a6bf62d0517">Transaction.Rollback()</a>.</p>

</div>
</div>
<a class="anchor" id="a0d16f679aefca9eb4bed9a6bf62d0517"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Rollback </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use explicitly to undo the changes in a transaction, otherwise it is automatically invoked by exiting the block. </p>

<p>Referenced by <a class="el" href="class_realms_1_1_transaction.html#a6e2d745cdb7a7b983f861ed6a9a541a7">Transaction.Dispose()</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.9.1-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>© 2015 Realm. All rights reserved.<br />
Generated on Wed Apr 27 2016 01:28:16 for Realm Xamarin by &#160;<a href="http://www.doxygen.org/index.html">
doxygen
</a> 1.8.11
</small></address>
</body>
</html>
